<? $defines = Zend_Registry::get('defines') ?>

<? $this->headScript()->appendScript("window.addEvent('domready', function () {
	/*Cubix.HashController.init();
	Cubix.Filter.InitSearchInput($('search'));*/
	/*Cubix.Tip.Init($$('.availability img'));*/
});"); ?>

<? $conf = Zend_Registry::get('images_config'); ?>

<?
	$this->headScript()
		->appendFile(_st('filter-v2.js'), 'text/javascript')
		->appendFile(_st('comments-v2.js'), 'text/javascript')
		//->appendScript('Cubix.PhotoRoller.prefix = "' . $conf['remote']['url'] . '/' . Cubix_Application::getById()->host . '/";')
		//->appendScript('window.addEvent("domready", function () { Cubix.PhotoRoller.Init() })')
		->appendScript('Cubix.Escorts.url = "' . $this->getLink('escorts') . '"')
		//->appendScript('Cubix.EscortHover.Init()')
		//->appendScript('Cubix.ListSwitcher.Init()')
		->appendScript('Cubix.Filter.url = "' . $this->getLink('get-filter-v2') . '?ajax&is_upcomingtour=' . (int) $this->is_upcomingtour . '&is_tour=' . (int) $this->is_tour . '&filter_params=' . base64_encode(json_encode($this->filter_params)) . '"')
		->appendScript('Cubix.Filter.search_input_text = "' . __('search_by_showname') . '"')
		->appendScript('Cubix.Escorts.city_search_title = "' . __('search_your_city') . '"')
		->appendScript('Cubix.Comments.lng = "' . $this->lang() . '"')
		->appendScript('Cubix.Comments.is_member = "' . $this->is_member . '"')
		->appendScript('Cubix.Comments.is_escort = "' . $this->is_escort . '"');
?>

<? if ( $this->is_main_page ): ?>

<? endif; ?>

<?= $this->render('escorts/' . ($this->is_main_page ? 'main-page' : 'list') . '.phtml') ?>

<? if ( $this->no_paging ): ?>
<div class="big-red-btn-wrapper">
	<a href="<?= $this->getLink('escorts', array('regular'), true) ?>" class="<?= $this->lang() ?>-big-red-btn"></a>
</div>
<? endif; ?>

<?
	$seo = $this->seo('home-page-' . $this->static_page_key, null, array(), true);
	$this->footer_text = $seo->footer_text;
?>
